Subject: Re: Re: [Disman] DISMAN deployment

From: Yves Bertsch <[email-masked]>
Date: Mon, 14 Nov 2005 18:11:19 +0100

thanks Carl for this indication,
is it possible to get some more precise description 
of this implementation ?
Up to know, I was wondering if Disman was just an 
intellectual construction (Jurgen & Dave answer)
What about Jasmin, there is nothing after 2001...
Jurgen knows perhaps about the present status of this developpement.
apart, it's not clear what is the politics for Disman in net-snmp
hope some more hints
Yves

> 
> Yves,
> 
> My company is using the DISMAN Event MIB in its product to monitor  
> CPU,Memory, and Swap from the Host Resources MIB and generate  
> notifications. We intend to monitor other attributes as well.
> 
> Carl
> 
> On Nov 11, 2005, at 4:02 AM, Dave Shield wrote:
> 
> > On Thu, 2005-11-10 at 09:22 +0100, Yves Bertsch wrote:
> >
> >> The precise point I was looking for was to find something similar
> >> as Rmon event/alarm mechanism to send traps from systems on occurence
> >> of integer values (CPU activity, disk free...etc)
> >> Some Disman MIBs (Alarm MIBs) seems to answer this question
> >>
> >
> > That actually feels to be closer to the DisMan Event MIB,
> > rather than the Alarm MIB.
> >
> >
> >
> >> I have understood DISMAN is much more general, and before starting
> >> studying these MIBs, I just wanted to know how these mechanism are
> >> really implemented and deployed
> >> I see nothing on windows for example.
> >>
> >
> >
> > The Net-SNMP agent has supported a (somewhat limited) version of
> > the Event MIB for several years, though we're only now bringing
> > a (rewritten) version of both this and the Schedule MIB, into
> > the default configuration.
> >   I'm not 100% sure whether these work with the Windows version
> > of the agent, but if they don't, that will be down to problems
> > with the callback mechanism for retrieving information (and the
> > general Unix bias of most of the developers) rather than anything
> > more fundamental to the MIBs themselves.
> >
> >
> > I intend to submit a proper implementation report shortly, once
> > the new code has received a little more practical testing.  (*I*
> > think these MIBs work, but the wider Net-SNMP community may have
> > different ideas!)
> >
> >
> > Dave
> >
> >
> >
> 
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 15 Nov 2005 12:22:35 +0100

> What about Jasmin, there is nothing after 2001...

The DISMAN WG produced several MIB modules. It seems that some of them
are enjoying more implementations, others less. The DISMAN-SCRIPT-MIB
likely belongs to the second group. I have seen the
DISMAN-SCHEDULE-MIB in products - not sure however how widely it is
actually been used. I have seen some of the remote operations MIBs in
products and I have myself used the notification log implementation
that comes with NETSNMP (and I basically found it useful). There has
been discussion about the DISMAN-EXPRESSION-MIB being too complex.

Note that this is all my totally biased view of the world. But for me,
it seems that the more generic MIBs tend to be, the less likely they
seem to get implemented and finally used. The DISMAN-SCRIPT-MIB has
likely seen more usage in research papers than in real-world product
as far as I can tell.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany